﻿using System;
using System.IO;
using System.Web;
using System.Linq;
using System.Text;
using System.Data;
using System.Drawing;
using System.Web.Mvc;
using System.Collections;
using System.Web.Mvc.Ajax;
using System.ComponentModel;
using System.Web.UI.WebControls;
using System.Collections.Generic;
using Syncfusion.Mvc.Chart;
using Syncfusion.Windows.Forms.Chart;
using Syncfusion.Drawing;
namespace SyncfusionMVCApplication2.Controllers
{
    public partial class LayoutController : Controller
    {
        DataTable dt = new DataTable();
        DataTable dt_second = new DataTable();
        String Charttype = "Column";
        public ActionResult ControlsInLayout()
        {
            MVCChartModel chartmodel = new MVCChartModel();
            BasicChartInitChart(chartmodel,Charttype);
            ViewData["ChartModel"] = chartmodel;
            return View();
        }
          
        private void BasicChartInitChart(MVCChartModel chartmodel, string type)
        {
            chartmodel.Text = "Sales Volume Comparison";
            chartmodel.Size = new System.Drawing.Size(950, 650);
            ChartSeries series = new ChartSeries("Series");
            series.Type = (ChartSeriesType)Enum.Parse(typeof(ChartSeriesType), type, true);
            series.Points.Add(1, 500,300);
            series.Points.Add(2, 200,500);
            series.Points.Add(3, 300,400);
            series.Points.Add(4, 400,100);
            series.Points.Add(5, 300,500);
            chartmodel.Series.Add(series);
            ChartSeries series1 = new ChartSeries("Series");           
            series1.Points.Add(1, 300, 100);
            series1.Points.Add(2, 400, 200);
            series1.Points.Add(3, 500, 300);
            series1.Points.Add(4, 200, 500);
            series1.Points.Add(5, 500, 200);
            series1.Type = (ChartSeriesType)Enum.Parse(typeof(ChartSeriesType), type, true);
            chartmodel.Series.Add(series1);
            chartmodel.PrimaryXAxis.EdgeLabelsDrawingMode = ChartAxisEdgeLabelsDrawingMode.Shift;
            if (type != "Pie")
            {
                chartmodel.Series[0].Style.Interior = new BrushInfo(ColorTranslator.FromHtml("#00AEEF"));
                chartmodel.Series[0].Style.Border.Color = ColorTranslator.FromHtml("#00AEEF");
                chartmodel.Series[1].Style.Interior = new BrushInfo(ColorTranslator.FromHtml("#C93C96"));
                chartmodel.Series[1].Style.Border.Color = ColorTranslator.FromHtml("#C93C96");
            }
            chartmodel.Series[0].PointsToolTipFormat = "X:{3}<br/>Y:{4}";
            chartmodel.Series[1].PointsToolTipFormat = "X:{3}<br/>Y:{4}";
            chartmodel.CalcRegions = true;
            chartmodel.ShowToolTip = true;
        }
    }
}
